# Manage contact lists

## Lists

A list in the Bird Contacts API is a group of contacts organized for specific purposes, like targeted communication or management.

### API Reference Guide <a href="#api-reference-guide" id="api-reference-guide"></a>

1. [Create a list](/api/contacts-api/api-reference/manage-contact-lists/create-a-list.md)
2. [Get a list](/api/contacts-api/api-reference/manage-contact-lists/get-a-list.md)
3. [List lists](/api/contacts-api/api-reference/manage-contact-lists/list-lists.md)
4. [Update a list](/api/contacts-api/api-reference/manage-contact-lists/update-a-list.md)
5. [Delete a list](/api/contacts-api/api-reference/manage-contact-lists/delete-a-list.md)
6. [Add contacts to a list](/api/contacts-api/api-reference/manage-contact-lists/add-contacts-to-a-list.md)
7. [Get contact list memberships](/api/contacts-api/api-reference/manage-contact-lists/get-contact-list-memberships.md)
8. [List contacts in a list](/api/contacts-api/api-reference/manage-contact-lists/list-contacts-in-a-list.md)
9. [Remove contacts from a list](/api/contacts-api/api-reference/manage-contact-lists/remove-contacts-from-a-list.md)

Note that the maximum batch size for these endpoints is 100.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/contacts-api/api-reference/manage-contact-lists.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
